#include "AdcStatus.h"

QMap<QString, double> AdcStatus::getBMTemps() const
{
    if (!bmStatus.has_value())
        return {};
    auto &sensors = bmStatus.value().sensors;
    QMap<int, QString> name;
    name[0] = "PS";
    name[1] = "AMP";

    QMap<QString, double> temps;
        for (int i=0; i<sensors.size(); i++) {
        double t = sensors[i].temp;
        if (t > -255)
            temps[name[i]] = t;
    }
    return temps;
}

QString AdcCoreStatus::modeStr() const
{
    return running ? "Wait Trig" : (ctrl_bit_run ? "Run" : "Stop");
}
