#ifndef DFPFSMSTATES_H
#define DFPFSMSTATES_H

#include "fsm/FsmState.h"

static const constexpr auto DfpFsmStateError = FsmState::Error;
static const constexpr auto DfpFsmStateAlien = FsmState::Ready; // bit-file doesn't correspond to DevId
static const constexpr auto DfpFsmStateMine = FsmState::Configure; // bit-file corresponds to DevId
static const constexpr auto DfpFsmStateWriting = FsmState::Starting;
static const constexpr auto DfpFsmStateReading = FsmState::FindAdcDelay;
static const constexpr auto DfpFsmStateErasing = FsmState::CloseGlobTrig;
static const constexpr auto DfpFsmStateDone = FsmState::Run;

#endif // DFPFSMSTATES_H
