#ifndef FILEWATCHERCONFIGDB_H
#define FILEWATCHERCONFIGDB_H


#include "FileWatcherConfig.h"
#include "mongo/AbstractConfigDb.h"

class ConfigSelector;

class FileWatcherConfigDb : public AbstractConfigDb
{
    Q_OBJECT

public:
    FileWatcherConfigDb(const QString &predefinedPath, QObject *parent);

signals:
    void configChanged(const FileWatcherConfig &);

public slots:
    void setConfig(const FileWatcherConfig &newConfig);

protected:
    void update_config_from_db() override final;

private:
    FileWatcherConfig config;
    QString predefinedPath;
};

#endif // FILEWATCHERCONFIGDB_H
