#ifndef HPTDCVOLTAGETEST_H
#define HPTDCVOLTAGETEST_H
#include "base/bmc/BmcStatus.h"
#include "histogramm/DeviceCalibration.h"
#include "histogramm/HistMngrCfg.h"
#include "histogramm/Histogramm.h"

#include <QString>
#include <QDateTime>

struct AnalyzerStat;

class HptdcVoltageTest
{
public:
    HptdcVoltageTest() {}
    void print(QString dataFile, const AnalyzerStat &lastAnalStat, QHash<HistKey, Histogramm> hc, HistMngrCfg *histCfg, const InlResults &inlRes);
    void updatePowerInfo(QString fn);
    void updatePowerInfo(QDateTime start, QDateTime stop);

    QMap<DeviceIndex, BmcPower> min;
    QMap<DeviceIndex, BmcPower> max;
    QString source_fn;
};

#endif // HPTDCVOLTAGETEST_H
