#include "LogDialog.h"
#include "ui_LogDialog.h"

#include <QCoreApplication>
#include <QDebug>

#include "LogViewWidget.h"

LogDialog::LogDialog(QWidget *parent) :
    QDialog(parent)
{
    setWindowTitle(qApp->applicationName() + " log viewer");
    auto view = new LogViewWidget(this);
    setLayout(new QVBoxLayout(this));
    layout()->addWidget(view);
    resize(1024, 768);
}

LogDialog::~LogDialog()
{}
