/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DEVICECOMMAND_H
#define DEVICECOMMAND_H

#include <QMetaType>
#include <QVariant>
#include "DeviceModuleCommand.h"
#include "base/DeviceIndex.h"
#include "base/SdbModuleIndex.h"

class DeviceCommand
{
public:
    // friend bool operator==(const DeviceCommand &, const DeviceCommand &) = default;

    DeviceIndex deviceIndex;
    SdbModuleIndex moduleIndex;
    DeviceModuleCommand command;
    DeviceModuleCommandResult result;
};

Q_DECLARE_METATYPE(DeviceCommand)

#endif // DEVICECOMMAND_H
