#ifndef RUNSTATISTICMODULE_H
#define RUNSTATISTICMODULE_H

#include "device-modules/BaseDeviceModule.h"

struct RunStatistic;

class RunStatisticModule : public BaseDeviceModule<RunStatisticModule>
{
public:
    explicit RunStatisticModule(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    bool resetCounters();
    [[deprecated]] bool readRunStatistic(RunStatistic *result);
    bool readStatus(RunStatistic *result);
    std::optional<RunStatistic> readStatus();
};

#endif // RUNSTATISTICMODULE_H
