#ifndef TRCCORECONFIG_H
#define TRCCORECONFIG_H

#include <QMetaType>
#include <QMap>

#include "PhysicalTrigger/PhysicalTriggerConfig.h"

struct TrcCoreConfig
{
    friend bool operator==(const TrcCoreConfig &l, const TrcCoreConfig &r) = default;

    void fix()
    {
        if(phyTrig.chCfg.size() != phyTrig.NCH)
            phyTrig.chCfg.resize(phyTrig.NCH);
        unifyAuxTrig();
    }
    void unify_config(const TrcCoreConfig &s)
    {
        phyTrig = s.phyTrig;
    }
    void unifyAuxTrig();

    PhysicalTriggerConfig phyTrig;
};
Q_DECLARE_METATYPE(TrcCoreConfig)

#endif // TRCCORECONFIG_H
