#ifndef ADCMPDTRIGPOLARITYDELEGATE_H
#define ADCMPDTRIGPOLARITYDELEGATE_H

#include <QItemDelegate>

class AdcMpdTrigPolarityWidget;

class AdcMpdTrigPolarityDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    AdcMpdTrigPolarityDelegate(QObject *parent = 0)
        : QItemDelegate(parent) {}
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor,
                       const QModelIndex &index) const;
    void setModelData(QWidget *editor,
                      QAbstractItemModel *model,
                      const QModelIndex &index) const;
    void updateEditorGeometry(QWidget *editor,
                              const QStyleOptionViewItem &option,
                              const QModelIndex &index) const;

private slots:
    void dataChanged();

private:
    void updateWidgetByModel(AdcMpdTrigPolarityWidget *w,
                             const QModelIndex &index) const;

};
#endif // ADCMPDTRIGPOLARITYDELEGATE_H
