#include "TluTtlIoDialog.h"
#include "ui_TluTtlIoDialog.h"

#include "base/DeviceId.h"

TluTtlIoDialog::TluTtlIoDialog(QWidget *parent) : QDialog(parent), ui(new Ui::TluTtlIoDialog)
{
    ui->setupUi(this);
    ui->widget40Lvds->setDeviceIdFilter(DEVICE_ID_TLU40LVDS);
    ui->widget16Sfp->setDeviceIdFilter(DEVICE_ID_TLU16SFP);
}

TluTtlIoDialog::~TluTtlIoDialog()
{
    delete ui;
}

TluTtlIoWidget *TluTtlIoDialog::getWidget40Lvds() const
{
    return ui->widget40Lvds;
}

TluTtlIoWidget *TluTtlIoDialog::getWidget16Sfp() const
{
    return ui->widget16Sfp;
}
