#ifndef RUNSTATES_H
#define RUNSTATES_H

#include <QDebug>
#include <QMetaType>

enum RUN_STATES {RS_STOPPED,RS_STOPPING,RS_STARTED,RS_STARTING,RS_ERROR,RS_INIT};
Q_DECLARE_METATYPE(RUN_STATES)

inline QDebug operator<<(QDebug dbg, const RUN_STATES &state)
{
    static QMap<RUN_STATES, QString> m = {
        {RS_STOPPED, "RS_STOPPED"},
        {RS_STOPPING, "RS_STOPPING"},
        {RS_STARTED, "RS_STARTED"},
        {RS_STARTING, "RS_STARTING"},
        {RS_ERROR, "RS_ERROR"},
        {RS_INIT, "RS_INIT"},
    };
    dbg << m[state];
    return dbg;
}

#endif // RUNSTATES_H
